Bug 219381 - gen-ip-validator.pl not included in RPM, not executed
gen-ip-validator.pl not included in RPM, not executed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mimedefang (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 15:47 EST by Chris Myers
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-16 13:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Myers 2006-12-12 15:47:36 EST
Description of problem:


Version-Release number of selected component (if applicable):

    mimedefang-2.58-1.fc6

How reproducible:

    Install mimedefang

Steps to Reproduce:

    1. Install mimedefang
  
Actual results:

    /etc/mail/mimedefang-ip-key does not exist

Expected results:

    /etc/mail/mimedefang-ip-key is created    

Additional info:

mimedefang-ip-key is used to hold a secret key for mimedefang that it used to
help mimedefang reliably keep the original Relay Host/Relay Hostname when a
message is forwarded from a backup MX server to the primary MX server, and when
a message is re-sent using stream_by_user/stream_by_domain.  The standard
installation script for mimedefang runs the gen-ip-validator.pl script to create
the key.
Comment 1 Robert Scheck 2006-12-12 16:48:13 EST
Personally, I'm not using this feature. Would it fit to create the /etc/mail/
mimedefang-ip-key file after each installation/upgrade of mimedefang or should 
gen-ip-validator.pl script only be executed, if the /etc/mail/mimedefang-ip-key 
file doesn't exist? Last of it seems more logical to me, that existing keys 
aren't overwritten.

Asked the other way round: Has the script to be executed after the mimedefang 
rpm installation/upgrade automatically or is it enough to ship the perl script 
gen-ip-validator.pl? Sorry when asking such dumb, but I'm looking for the best 
solution ;-)
Comment 2 Robert Scheck 2006-12-16 13:00:28 EST
I'll (re-)create /etc/mail/mimedefang-ip-key when the file doesn't exist - this 
exactly is the same way like at mimedefang.

Note You need to log in before you can comment on or make changes to this bug.